------------------------------------------------------------------------------------
--Name:  	Thanksgiving9
--Creator:	由剧情表现脚本编辑器生成
--Created:	2022-10-24
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(65, 65)
local player_0 = CppScriptMgr:QueryHero()
player_0:SetPos(55, 65)
player_0:RunTo(65, 65)
player_0:SetDir(6)
player_0:SetCtrlMapView(1)
local effect_2 = CppScriptMgr:AddEffect("chest_xunhuan", 56, 62, 33, 1, 1, 1)
effect_2:Scale(0.8, 0.8, 0.8)
local effect_3 = CppScriptMgr:AddEffect("chest_xunhuan", 71, 63, 33, 1, 1, 1)
effect_3:Scale(0.8, 0.8, 0.8)
local effect_4 = CppScriptMgr:AddEffect("chest_xunhuan", 63, 72, 33, 1, 1, 1)
effect_4:Scale(0.8, 0.8, 0.8)
local effect_5 = CppScriptMgr:AddEffect("chest_xunhuan", 63, 55, 33, 1, 1, 1)
effect_5:Scale(0.8, 0.8, 0.8)
local effect_7 = CppScriptMgr:AddEffect("chest_xunhuan", 62, 63, 33, 1, 1, 1)
effect_7:Scale(0.8, 0.8, 0.8)
local effect_8 = CppScriptMgr:AddEffect("chest_xunhuan", 59, 67, 33, 1, 1, 1)
effect_8:Scale(0.8, 0.8, 0.8)
local effect_9 = CppScriptMgr:AddEffect("chest_xunhuan", 55, 67, 33, 1, 1, 1)
effect_9:Scale(0.8, 0.8, 0.8)
local effect_10 = CppScriptMgr:AddEffect("chest_xunhuan", 59, 66, 33, 1, 1, 1)
effect_10:Scale(0.8, 0.8, 0.8)
local effect_11 = CppScriptMgr:AddEffect("chest_xunhuan", 62, 70, 33, 1, 1, 1)
effect_11:Scale(0.8, 0.8, 0.8)
local effect_12 = CppScriptMgr:AddEffect("chest_xunhuan", 65, 72, 33, 1, 1, 1)
effect_12:Scale(0.8, 0.8, 0.8)
local effect_13 = CppScriptMgr:AddEffect("chest_xunhuan", 68, 72, 33, 1, 1, 1)
effect_13:Scale(0.8, 0.8, 0.8)
local effect_14 = CppScriptMgr:AddEffect("chest_xunhuan", 69, 75, 33, 1, 1, 1)
effect_14:Scale(0.8, 0.8, 0.8)
local effect_15 = CppScriptMgr:AddEffect("chest_xunhuan", 73, 76, 33, 1, 1, 1)
effect_15:Scale(0.8, 0.8, 0.8)
local effect_16 = CppScriptMgr:AddEffect("chest_xunhuan", 74, 71, 33, 1, 1, 1)
effect_16:Scale(0.8, 0.8, 0.8)
local effect_17 = CppScriptMgr:AddEffect("chest_xunhuan", 72, 69, 33, 1, 1, 1)
effect_17:Scale(0.8, 0.8, 0.8)
local effect_18 = CppScriptMgr:AddEffect("chest_xunhuan", 75, 70, 33, 1, 1, 1)
effect_18:Scale(0.8, 0.8, 0.8)
local effect_19 = CppScriptMgr:AddEffect("chest_xunhuan", 58, 56, 33, 1, 1, 1)
effect_19:Scale(0.8, 0.8, 0.8)
local effect_20 = CppScriptMgr:AddEffect("chest_xunhuan", 63, 59, 33, 1, 1, 1)
effect_20:Scale(0.8, 0.8, 0.8)
local effect_21 = CppScriptMgr:AddEffect("chest_xunhuan", 58, 62, 33, 1, 1, 1)
effect_21:Scale(0.8, 0.8, 0.8)
local effect_22 = CppScriptMgr:AddEffect("chest_xunhuan", 63, 59, 33, 1, 1, 1)
effect_22:Scale(0.8, 0.8, 0.8)
CppScriptMgr:WaitMilSec(950)
local effect_6 = CppScriptMgr:AddEffect("zf2-e233", 69, 65, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(220)
local npc_0 = CppScriptMgr:AddSimplePlayer(1062530, 69, 65, "6th Turkey Brother", 0, 0)
npc_0:SetDir(2)
CppScriptMgr:WaitMilSec(780)
npc_0:Say("You stepped into our Turkey Treasury accidentally. There are quite a lot of valuable items here.", 1500)
CppScriptMgr:NpcCallOut("You stepped into our Turkey Treasury accidentally. There are quite a lot of valuable items here.", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_TG2022HJLD", 150, 430, "6th Turkey Brother", 250, 655)
CppScriptMgr:WaitMilSec(1610)
npc_0:Say("To thank you for your help, I`ll remove the restriction on the treasury.", 1500)
CppScriptMgr:NpcCallOut("To thank you for your help, I`ll remove the restriction of the treasury.", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_TG2022HJLD", 150, 430, "6th Turkey Brother", 250, 655)
CppScriptMgr:WaitMilSec(200)
local effect_0 = CppScriptMgr:AddEffect("Settlement", 65, 65, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1390)
npc_0:Say("If you can find 15 treasures within 60 seconds, you`ll receive a Thanksgiving gift!", 1500)
CppScriptMgr:NpcCallOut("If you can find 15 treasures within 60 seconds, you`ll receive a Thanksgiving gift!", 1000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_TG2022HJLD", 150, 430, "6th Turkey Brother", 250, 655)
CppScriptMgr:WaitMilSec(1310)
player_0:Say("Thanks!", 1000)
player_0:SetAction(200)
CppScriptMgr:WaitMilSec(1010)